/**
 * e签宝模板字段表单js
 */
shr.defineClass("shr.custom.ESignTemplateFileEntryFieldEdit", shr.framework.Edit, {
    initalizeDOM: function () {
        shr.custom.ESignTemplateFileEntryFieldEdit.superClass.initalizeDOM.call(this);
        if ("EDIT" == this.getOperateState()) {
            //关联控件 只能选当前模板中的字段,不可选自己
            var parentId = $("#parent1").shrPromptBox("getValue").id;
            $("#relatedControl").shrPromptBox("setFilter", "id <>'" + this.billId + "' and parent1.id = '" + parentId + "'");
        }
    },
});